use strict;
use warnings;
use v5.10;
use utf8;
use open qw(:std :utf8);

sub read_until_sharp {
	my ($file) = @_;
	while (<$file>) {
		last if /^#/;
	}
}

open my $log, "<", $ARGV[0]
	or die $!;
read_until_sharp($log);
read_until_sharp($log);
while (<$log>) {
	if (m/^The User ID (\w+)/ or m/^The CUPID for user (\w+)/) {
		print "|$1||\n";
	}
	last if /^#/;
}
