use strict;
use warnings;

my %mots_connus = ();

while (my $mot = <STDIN>) {
	chomp $mot;
	last unless $mot;
	if (exists $mots_connus{$mot}) {
		print "Mot déjà saisi.\n";
	}
	$mots_connus{$mot}++;
}

print "Les mots connus sont : ";
print sort keys(%mots_connus);
print "\n";

print "Les mots avec leur fréquence : \n";
my @mots = sort keys(%mots_connus);
foreach my $m (@mots) {
	print "  $m : $mots_connus{$m}\n";
}
