use strict;
use warnings;
use v5.10;

say somme(1, 5, 7, 9);
say somme(1..10);
say somme(@ARGV);
say somme(5, 7, @ARGV);

# fonction qui affiche "vrai" ou "faux suivant son paramètre
sub vrai {
	my $arg;
	($arg) = @_;
	# idem : my ($arg) = @_;
	if (scalar(@_) != 1) {
		die "Un seul argument attendu !";
	}
	if ($arg) {
		print "$arg est vrai";
	} else {
		print "$arg est faux";
	}
}

=pod
Renvoie la somme des arguments
Par ex : somme(1, 5, 7) --> "1 + 5 + 7 = 13"
=cut
sub somme {
	my $somme = 0;

	foreach (@_) {
		$somme += $_;
	}
	return join(" + ", @_) . " = $somme";
}

my @a = (1, 3, 5)
fonction(@a);
