use strict;
use warnings;

# pour chaque prénom, une note
my %notes;

while (1) {
	print "Quel nom ? ";
	my $nom = <STDIN>;
	if ($nom eq "\n") {
		last; # on sort de la boucle
	}
	chomp $nom;
	print "Sa note ? ";
	my $note = <STDIN>;
	chomp $note;

	$notes{$nom} = $note;
}

print "Saississez des noms...\n";
while (my $nom = <STDIN>) {
	chomp $nom;
	last unless $nom;
	if (exists $notes{$nom}) {
		print "$nom a la note $notes{$nom}\n";
	} else {
		print "Inconnu\n";
	}
}
