use strict;
use warnings;
use v5.10;

# ouverture en lecture
my $FILE;
open $FILE, "<", "/etc/passwd"
	or die $!;
# on ne lit que la première ligne
my $ligne = <$FILE>;
print $ligne;
# on transforme la ligne de texte en tableau
my @tab = split /:/, $ligne;
print "shell : ", $tab[-1], "\n";

my %root = (
	"shell" => $tab[-1],
	home => $tab[-2],
	UID => $tab[2],
);
$root{GID} = $tab[3];

use Data::Dumper; print Dumper(\%root);
