use strict;
use warnings;
use v5.10;
use utf8;
use open qw(:std :utf8);

my %users = ();

open my $file, "<", "/etc/passwd"
	or die $!;
while (<$file>) {
	my @info = split /:/, $_;
	my $username = $info[0];
	my %info_by = (
		"username" => $username,
		"home" => $info[-2],
		"shell" => $info[-1],
	);
	$users{$username} = { %info_by };
}

print "Shell de stg1 : ", $users{stg1}{shell}, "\n";
